%global  basever 0.8.8
 
Name:    compiz-plugins-unsupported
Version: 0.8.8
Release: 8%{?dist}
Epoch:   1
Summary: Additional plugins for Compiz
Group:   User Interface/Desktops
License: GPLv2+
URL:     http://www.compiz.org
Source0: http://releases.compiz.org/%{version}/%{name}-%{version}.tar.bz2
Patch0:  compiz-plugins-unsupported_new-mate.patch
Patch1:  compiz-plugins-unsupported_remove_gconf_usage.patch
Patch2:  compiz-plugins-unsupported_automake-1.13.patch
Patch3:  compiz-plugins-unsupported-aarch64.patch

# libdrm is not available on these arches
ExcludeArch: s390 s390x

BuildRequires: compiz-plugins-main-devel >= %{basever}
BuildRequires: compiz-bcop >= %{basever}
BuildRequires: perl(XML::Parser)
BuildRequires: intltool
BuildRequires: mesa-libGL-devel
BuildRequires: libtool

Requires: compiz-plugins-main%{?_isa} >= %{basever}

Provides: compiz-fusion-unsupported%{?_isa} = %{epoch}:%{version}-%{release}
Obsoletes: compiz-fusion-unsupported%{?_isa} < %{epoch}:%{version}-%{release}

%description
The Compiz Fusion Project brings 3D desktop visual effects that improve
usability of the X Window System and provide increased productivity
though plugins and themes contributed by the community giving a
rich desktop experience.
This package contains additional plugins from the Compiz Fusion Project

%package devel
Group: Development/Libraries
Summary: Development files for Compiz-Fusion
Requires: compiz-plugins-main-devel%{?_isa} >= %{basever}
Requires: %{name}%{?_isa} = %{epoch}:%{version}-%{release}
Provides: compiz-fusion-unsupported-devel%{?_isa} = %{epoch}:%{version}-%{release}
Obsoletes: compiz-fusion-unsupported-devel%{?_isa} < %{epoch}:%{version}-%{release}

%description devel
This package contain development files required for developing other plugins



%prep
%setup -q
%patch0 -p1 -b .mate
%patch1 -p1 -b .remove_gconf
%patch2 -p1 -b .automake
%patch3 -p1 -b .aarch64
chmod -x src/cubemodel/*.c src/cubemodel/*.h

autoreconf -f -i

%build 
%configure
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'

%find_lang %{name}


%files -f %{name}.lang
%doc COPYING AUTHORS
%{_libdir}/compiz/*.so
%{_datadir}/compiz/*.xml
%{_datadir}/compiz/*.png
%{_datadir}/compiz/*.svg

%files devel
%{_includedir}/compiz/compiz-elements.h


%changelog
* Sat May 25 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-8
- fix build for aarch64
- add autoreconf and BR libtool
- fix bogus date in %%changelog
- fix automake-1.13 build deprecations

* Wed Apr 24 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-7
- rework mate patch
- remove gconf usage

* Sun Jan 13 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-6
- obsoletes compiz-fusion-unsupported

* Sat Dec 22 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-5
- remove mateconf schemas
- remove rpm scriptlet
- remove mate subpackage
- remove copying part from mate patch

* Mon Oct 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1:0.8.8-4
- build for fedora
- rename patch
- add basever

* Sat Sep 29 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-3
- add Epoch tag
- fix source url
- improve spec file

* Tue Sep 20 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-2
- add compiz-plugins-unsupported_mate_fork.patch
- improve spec file

* Tue May 15 2012 Wolfgang Ulbrich <chat-to-me@raveit.de> - 0.8.8-1
- build for mate

